[Overview][Types][Classes][Variables][Index] | Reference for unit 'fpTimer' (#fcl)

# TFPTimer.OnTimer

Event called on each timer tick.

## Declaration

Source position: fptimer.pp line 68

`published property TFPTimer.OnTimer;`

## Description

OnTimer is called on each timer tick. The event handler must be assigned to a method that will do the actual work that should occur when the timer fires.

## See also

Interval |  | Timer tick interval in milliseconds.
Enabled |  | Start or stop the timer

The latest version of this document can be found at lazarus-ccr.sourceforge.net .